Bug 65129 - Windows Installer checks OS version before proceeding
Summary: Windows Installer checks OS version before proceeding
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: high enhancement
Assignee: Andras Timar
URL:
Whiteboard: target:4.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-29 13:58 UTC by Pedro
Modified: 2013-08-23 16:16 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2013-05-29 13:58:24 UTC
Following on the topic
http://nabble.documentfoundation.org/LibreOffice-and-Windows-2000-tp4057523.html

it would be nice if the Installer (at least under Windows) checks the OS version.

Currently, any 4.x branch installer should warn that it needs Windows XP or newer (since MSVC 2010 is unsupported under Windows 2000)

In the future (when LO switches to MSVC 2012) it should warn that it needs at least Windows 7

As it is, the user can install LO 4.x under Win 2000 only to find out that it won't run. 

An "a priori" warning would be more elegant (and professional)
Comment 1 V Stuart Foote 2013-05-29 15:55:42 UTC
Adjusting title and setting importance as high and enhancement.

This needs to happen, but believe this is entirely in the Windows Installer packaging using custom actions and configuration during build. And I don't know if it ends up a MSVC 2010 compiler flag or XML configuration input.

Andras, Kendy?
Comment 2 V Stuart Foote 2013-05-29 16:15:38 UTC
Rather than custom action, only needs a simple control condition?

Ref:

http://msdn.microsoft.com/en-us/library/aa370556%28VS.85%29.aspx

http://msdn.microsoft.com/en-us/library/aa372435%28v=vs.85%29.aspx
Comment 3 Pedro 2013-06-07 17:14:07 UTC
Moreover, if LO 3.6 is not installed, the 4.0.x installer will fail because a needed library (cli_basetypes.dll) is missing.

Furthermore, installing LO 4.0 on a system which has LO 3.6 (didn't test with previous releases) causes the previous version to be uninstalled first (as expected under the Windows OS). This caused msvcr90.dll to be removed (which in my system was needed for the Avira antivirus) without confirmation. On reboot the antivirus was not working...
Comment 4 Thorsten Behrens (CIB) 2013-08-21 20:26:12 UTC
Sounds almost like an easy hack - jesus, fridrich, andras, could you provide code pointers for this thing?
Comment 5 Commit Notification 2013-08-22 09:47:45 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37ca06662fc2a0b5353381b70e62ad9586046069

fdo#65129 Windows Installer checks OS version before proceeding



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Pedro 2013-08-23 16:16:25 UTC
(In reply to comment #5)
> Andras Timar committed a patch related to this issue.
> It has been pushed to "master":

Hi Andras

Thank you for adding the check. I tested with build

Version: 4.2.0.0.alpha0+
Build ID: 45ef1eda9e8851d454237d91b7fc46299fd621eb
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-23_07:32:04

and it works perfectly under Windows 2000. Well done :)

If the ESC plan is to force users to update from 3.6.7 to 4.0.x maybe it makes sense to push this to the 4.0 branch (so that it is included in 4.0.6 and then force the update?) and obviously to the 4.1 branch as well?